<?
######################################################################
# WWWEBALL : Web System Crator
# ==============================
#
# Copyright (c) 2003 by Jaillet Olivier Romain - LAB 3W (kss@lab3w.com)
# http://wwweball.com
#
# This module is to manage articles/news in the home :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

/* Appel des Fichiers de configuration et fonctions */

#include ("./inc/config.inc.php");
include ("./inc/fonctions/connexion.php");
include ("./inc/fonctions/execrequete.php");
#include ("./inc/fonctions/db.php");
#include ("./inc/fonctions/caract.php");

# sTrucTpaGe moduLe

class UTil extends moduLe {
   var $idUtmp;

// Constructeur avec paramtre
    function UTil($idUtmp) {
        if ($idUtmp != "") $this->idUtmp = $idUtmp;
    }

	 function pseuDoA ($idUtmp, $nbc)
	 {
		/* Connexion  la base */
		$connexion = Connexion (NOM, PASSE, BASE, SERVEUR);

		/* Vrification d'une Table Utilisateurs Existante */
		if (cherCheTable(BASE,"ut"))
		{

		$uti_S = ExecRequete ("SELECT * FROM ut WHERE idUtmp='$this->idUtmp'", $connexion);
		$uti = LigneSuivante($uti_S);

		return "" . nbCaractMax($uti->pseudO,$nbc) ."";

		} else { echo "Pas de Table !! Crer une Table \"ut\" "; } // Fin de Vrif Table Utilisateurs

	 }

function hex_encode ($email_address)    {
       $encoded = bin2hex("$email_address");
       $encoded = chunk_split($encoded, 2, '%');
       $encoded = '%' . substr($encoded, 0, strlen($encoded) - 1);
       return $encoded;
}

	 function eMailA ($idUtmp, $nbc)
	 {
		/* Connexion  la base */
		$connexion = Connexion (NOM, PASSE, BASE, SERVEUR);

		/* Vrification d'une Table Utilisateurs Existante */
		if (cherCheTable(BASE,"ut"))
		{

		$uti_S = ExecRequete ("SELECT * FROM ut WHERE idUtmp='$this->idUtmp'", $connexion);
		$uti = LigneSuivante($uti_S);

		   $encoded = bin2hex("".$uti->emaiL."");
		   $encoded = chunk_split($encoded, 2, '%');
		   $encoded = '%' . substr($encoded, 0, strlen($encoded) - 1);

		return "<b><a href=\"mailto:$encoded\">" . nbCaractMax($uti->emaiL,$nbc) ."</a></b><br>\n";

		} else { echo "Pas de Table !! Crer une Table \"ut\" "; } // Fin de Vrif Table Utilisateurs

	 }


















// Affichage de l'CAT
	 function catImg ($nbrCar, $valueImg)
	 {
		/* Connexion  la base */
		$connexion = Connexion (NOM, PASSE, BASE, SERVEUR);

		/* Vrification d'une Table Articles Existante */
		if (cherCheTable(BASE,"art_categorie"))
		{

		/* Constructeur d' Article dans une TABLE (Chaque article est gal  un TR) */

		$arti_S = ExecRequete ("SELECT * FROM art WHERE ida='$this->id'", $connexion);
		$arti = LigneSuivante($arti_S);

		$aSC_S = ExecRequete ("SELECT * FROM art_categorie WHERE idac='$arti->aCat'", $connexion);
		$aSC = LigneSuivante($aSC_S);

		$aC_S = ExecRequete ("SELECT * FROM art_categorie WHERE idac='$aSC->idasc'", $connexion);
		$aC = LigneSuivante($aC_S);

		/* PAS D'IDENTIFIANT ARTICLE */
		if (MYSQL_NUM_ROWS($arti_S) == "0") {
		$pRint = "";
		return $pRint;

		}

		// DEFAULT : CAT = Titre + Image

		$cat = "";

		/* Verification validation Image */
		if(isset($aSC->imgC_art) && $aSC->imgC_art != "" && $valueImg != "0")
		{
		 $cat .= "<img src='./img/mod/art/$aSC->imgC_art' align='$aSC->imgCA_align' width='$aSC-imgCA_width' height='$aSC->imgCA_height' title=\" $aSC->txtC_art \" border='0'>";
		}

		if(isset($aC->imgC_art) && $aC->imgC_art != "" && $valueImg != "0")
		{
		 $cat .= "<img src='./img/mod/art/$aC->imgC_art' align='$aC->imgCA_align' width='$aC->imgCA_width' height='$aC->imgCA_height' title=\" $aC->txtC_art \" border='0'>";
		}

		$cat .= "&nbsp;&nbsp;<u>cat</u> : " . nbCaractMax(saut2Lign("$aC->txtC_art"),$nbrCar) ."<br>\n";
		$cat .= "<u>scat</u> : " . nbCaractMax(saut2Lign("$aSC->txtC_art"),$nbrCar) ."<br>\n";

		return $cat;

		} else { echo "Pas de Table !! Crer une Table \"art_categorie\" "; } // Fin de Vrif Table Articles

	 } // Fin de l'CAT






// Affichage de l'Accroche d'un Article + 1 image
	 function conTenu ($nbrCar, $valueImg)
	 {
		/* Connexion  la base */
		$connexion = Connexion (NOM, PASSE, BASE, SERVEUR);

		/* Vrification d'une Table Articles Existante */
		if (cherCheTable(BASE,"art"))
		{

		/* Constructeur d' Article dans une TABLE (Chaque article est gal  un TR) */

		$arti_S = ExecRequete ("SELECT * FROM art WHERE idpa = '0' AND ida='$this->id'", $connexion);
		$arti = LigneSuivante($arti_S);

		/* PAS D'IDENTIFIANT ARTICLE */
		if (MYSQL_NUM_ROWS($arti_S) == "0") {
		$pRint = "<font face='Helvetica' size=2 color='#FF8000'>Il n'y a pas ou plus d'Article correspondant  votre requte.<br><br>Peut-tre avons nous suprimer celui-ci. Pour tous renseignements complmentaires adressez-nous un courier<font>";
		return $pRint;

		}

		// DEFAULT : module ACCROCHE = Titre + Image + Texte

		$ab = "<p align='$arti->aText_align'>";

		/* Verification validation Image */
		if(isset($arti->aImg) && $arti->aImg != "" && $valueImg != "0")
		{
		 $ab = "<img src='./img/mod/art/$arti->aImg' align='$arti->aImg_align' width='$arti->aImg_width' height='$arti->aImg_height' title=\" $arti->aTitre \" border='0'>";
		}

		$ab .= "" . nbCaractMax(saut2Lign("$arti->aText"),$nbrCar) ."<br><br>\n";
		$ab .= "</p>";

		return $ab;

		} else { echo "Pas de Table !! Crer une Table \"art\" "; } // Fin de Vrif Table Articles

	 } // Fin de l'Accroche




// Affichage de pages supplmentaires d'un Article + images
	 function conTenuSupl ($nbrCar, $valueImg)
	 {
		/* Connexion  la base */
		$connexion = Connexion (NOM, PASSE, BASE, SERVEUR);

		/* Vrification d'une Table Articles Existante */
		if (cherCheTable(BASE,"art"))
		{

		/* Constructeur d' Article dans une TABLE (Chaque article est gal  un TR) */

		$aSupl_S = ExecRequete ("SELECT * FROM art WHERE idpa = '$this->id' ORDER BY ida ASC", $connexion);

		$ab = "";
		// DEFAULT : module ART SUP = Image + Texte

		while ($aSupl = LigneSuivante($aSupl_S))
		{
		$ab .= "<p align='$aSupl->aText_align'>";

		# Verification validation Image
		if(isset($aSupl->aImg) && $aSupl->aImg != "" && $valueImg != "0")
		{
		 $ab .= "<img src='./img/mod/art/$aSupl->aImg' align='$aSupl->aImg_align' width='$aSupl->aImg_width' height='$aSupl->aImg_height' title=\" $aSupl->aTitre \" border='0'>";
		}

		$ab .= "" . nbCaractMax (saut2Lign ($aSupl->aText),$nbrCar) ."<br><br>\n";
		$ab .= "</p>";

		}


		return $ab;

		}

#		} else { echo "Pas de Table !! Crer une Table \"art\" "; } // Fin de Vrif Table Articles

	 } // Fin de pages supplmentaires






}


?>