<?php

$lang['date']['Sunday'] = 'Dimanche';
$lang['date']['Monday'] = 'Lundi';
$lang['date']['Tuesday'] = 'Mardi';
$lang['date']['Wednesday'] = 'Mercredi';
$lang['date']['Thursday'] = 'Jeudi';
$lang['date']['Friday'] = 'Vendredi';
$lang['date']['Saturday'] = 'Samedi';
$lang['date']['Sun'] = 'Dim';
$lang['date']['Mon'] = 'Lun';
$lang['date']['Tue'] = 'Mar';
$lang['date']['Wed'] = 'Mer';
$lang['date']['Thu'] = 'Jeu';
$lang['date']['Fri'] = 'Ven';
$lang['date']['Sat'] = 'Sam';
$lang['date']['January'] = 'Janvier';
$lang['date']['February'] = 'Fvrier';
$lang['date']['March'] = 'Mars';
$lang['date']['April'] = 'Avril';
$lang['date']['May'] = 'Mai';
$lang['date']['June'] = 'Juin';
$lang['date']['July'] = 'Juillet';
$lang['date']['August'] = 'Aot';
$lang['date']['September'] = 'Septembre';
$lang['date']['October'] = 'Octobre';
$lang['date']['November'] = 'Novembre';
$lang['date']['December'] = 'Dcembre';
$lang['date']['Jan'] = 'Jan';
$lang['date']['Feb'] = 'Fv';
$lang['date']['Mar'] = 'Mar';
$lang['date']['Apr'] = 'Avr';
$lang['date']['May'] = 'Mai';
$lang['date']['Jun'] = 'Juin';
$lang['date']['Jul'] = 'Juil';
$lang['date']['Aug'] = 'Ao';
$lang['date']['Sep'] = 'Sep';
$lang['date']['Oct'] = 'Oct';
$lang['date']['Nov'] = 'Nov';
$lang['date']['Dec'] = 'Dc';
$lang['date']['st'] = 'er';
$lang['date']['nd'] = 'nd';
$lang['date']['rd'] = 'e';
$lang['date']['th'] = 'e';

function creaDate($format, $date, $tz){
    global $lang;

    if(!preg_match('`^([0-9]*)$`', $date)){
        $annee = substr($date, 0,4);
        $mois = substr($date, 5,2);
        $jour = substr($date, 8,2);
        $heure = substr($date, 11,2);
        $minute = substr($date, 14,2);
        $seconde = substr($date, 17,2);
        $timestamp = mktime($heure, $minute, $seconde, $mois, $jour, $annee);
        $decal = substr(date("O"), 1,2)*3600 + substr(date("0"), 3,2)*60;
        $timestamp += $decal; }
    else { $timestamp = $date; }

	# VRAI
#   return strtr(gmdate($format, $timestamp + $tz*3600), $lang['date']);
	# FAUX SAUF CHEZ OIM
    return strtr(gmdate($format, $timestamp + $tz*7200), $lang['date']);
}

# exemples >>

# echo creaDate("l j F Y", "2003-03-24", 1); >> Lun 24 Mars 2003
# echo creaDate("G\hi", time(), 1); >> l'heure actuelle
# echo creaDate("D, jS \j\o\u\\r \d\e M  G\h \e\\t s \s\e\c\o\\n\d\e\s", "2002-12-24 04:25:12", 1); >> Mar, 24e jour de Dc  4h et 12 secondes



function daT4SQL () {

 # format de date pour MySQL > champ datetime > date("Y\-d\-n\:H\:i")

	$a = date("Y");
	$ap = "-";
	if (date("n") < 10)
	{
	 $m = "0";
	 $m .= date("n");
	}
	 else {
	  $m = date("n");
	}

	$mp = "-";
    $j = date("d");

	$jp = " ";

    $h = date("H");

	$hp = ":";
	$mi = date("i");
	$mip = ":";
	$s = date("s");

 return $a.$ap.$m.$mp.$j.$jp.$h.$hp.$mi.$mip.$s;

}



?>